#!/bin/bash
source  /opt/ros/indigo/setup.bash
source ~/catkin_ws/devel/setup.bash

case "$1" in
	arm)
		rosrun mavros mavsafety arm
		;;

	parameter)
		rosrun mavros mavparam set $2 $3
		;;
	
	disarm)
		rosrun mavros mavsafety disarm
		;;
		
	takeoff)
		rosrun mavros mavsys mode -c auto.takeoff
		;;
		
	land)
		rosrun mavros mavsys mode -c auto.land
		;;
		
	mission)
		cd ../inputs/MISSION;
		miss=''
		for file in *.txt ; do
			miss="$file"
		done
		rosrun mavros mavwp load "$miss";
		rosrun mavros mavwp setcur 0;
		rosrun mavros mavsys mode -c auto.mission
		;;
esac
